package jp.mosp.payroll.dto;

import java.util.Date;

public class DetailMoneyDto extends DetailDto {
	
	private static final long serialVersionUID = 6506053220107266036L;
	
	/**
	 * 明細値。<br>
	 */
	private int amount;
	
	/**
	 * インスタンスを生成する。
	 */
	public DetailMoneyDto() {
		// 処理無し
	}
	
	/**
	 * インスタンスを生成し、フィールドを設定する。
	 * @param kCode      設定社員コード
	 * @param calcDate   設定計算年月
	 * @param detailCode 設定明細コード
	 * @param detailAbbr 設定略称
	 * @param amount     設定明細値
	 */
	public DetailMoneyDto(
			String kCode     ,
			Date   calcDate  ,
			String detailCode,
			String detailAbbr,
			int    amount
	) {
		super(kCode, calcDate, detailCode, detailAbbr);
		setAmount(amount);
	}
	
	/**
	 * 明細値を取得する。
	 * @return 明細値
	 */
	public int getAmount() {
		return amount;
	}
	
	/**
	 * 明細値を設定する。
	 * @param amount 設定する明細値
	 */
	public void setAmount(int amount) {
		this.amount = amount;
	}
	
}
